package cn.iocoder.yudao.module.trade.controller.admin.delivery.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import javax.validation.constraints.*;

/**
* 快递公司 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DeliveryExpressBaseVO {

    @Schema(description = "快递公司编号", required = true)
    @NotNull(message = "快递公司编号不能为空")
    private String code;

    @Schema(description = "快递公司名称", required = true, example = "李四")
    @NotNull(message = "快递公司名称不能为空")
    private String name;

    @Schema(description = "快递公司logo")
    private String logo;

    @Schema(description = "排序", required = true)
    @NotNull(message = "排序不能为空")
    private Integer sort;

    @Schema(description = "状态（0正常 1停用）", required = true, example = "1")
    @NotNull(message = "状态（0正常 1停用）不能为空")
    private Integer status;

}
